#!/usr/bin/perl

use DBI;
use CGI;

exit;

# Read config variables
eval require "../ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Read through each evalmst record and convert the data into the new evmst tables (4) format;
my $sth = $dbh->prepare("select * from evalmst");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }


my $sth1 = $dbh->prepare("insert into evmst_main 
  (studnum, catnum, longtermobjective, targetskill, currperform,evalmethod)
  values(?,?,?,?,?,?)");

my $sth2 = $dbh->prepare("select id from evmst_main where studnum = ? and catnum = ?");

my $sth3 = $dbh->prepare("insert into evmst_goal (mainid, description, idnum) values(?,?,?)");

my $sth4 = $dbh->prepare("insert into evmst_staff (mainid, userid, strategy ) values(?,?,?)");


while ( my $ref = $sth->fetchrow_hashref ){
    my %r = %$ref;

    # Check for an existing record in evmst_main
    $sth2->execute($r{studnum}, $r{subnum}); 
    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
    my $mainid = $sth2->fetchrow;
    if ( $mainid ) { next; }
    

    # Insert the evmst_main record and get the id back.
    $sth1->execute($r{studnum},$r{subnum},$r{longtermobjective},$r{targetskill},$r{currperform},$r{evalmethod});
    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
    print qq{Insert New Record into Main\n};

    # Get the main id
    $sth2->execute($r{studnum}, $r{subnum}); 
    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
    my $mainid = $sth2->fetchrow;
    if ( not $mainid) { 
	print qq{ERROR: ID missing for $r{studnum} - $r{subnum}\n};
	exit;
    }


    # Insert a Staff record, if strategy exists
    if ( $r{strategy} ) {
	$sth4->execute($mainid, $r{$responsible}, $r{strategy} ); 
	if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
    }


    # Loop over all goals and insert records for each one.
    foreach my $idx ( 1..32 ) {
	my $fieldname = qq{obj$idx};
	$r{$fieldname} =~ s/^\s+//g; # strip any leading spaces.
	if ( $r{$fieldname} ) { # insert a record.

	    my $idnum;
	    if ( $r{$fieldname} =~ m/^\((.*?)\)/ ) {
		print "ID Number:$1\n";
		$idnum = $1;
	    }
	    
	    $sth3->execute($mainid, $r{$fieldname}, $idnum ); 
	    if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
	}
    }
}

   
print "Done!\n";
