#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Admin' => 'Admin',
	   'Error' => 'Error',
	   'Add Assessment Categories' => 'Add Assessment Categories',
	   'Category Name' => 'Category Name',
	   'Save Categories' => 'Save Categories',
	   'There was an error storing your data' => 'There was an error storing your data',
	   'Contact' => 'Contact',
	   'Your record(s) are stored' => 'Your record(s) are stored'
	   );

my $self = 'ascatadd.pl';

use CGI;
use DBI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

# Page Header
print "$doctype\n<html><head><title>". $lex{'Add Assessment Categories'}. "</title>
<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">\n";
print "</head><body>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]<center>\n";
print "<h1>". $lex{'Add Assessment Categories'}. "</h1>\n";


if ( $arr{flag} ) {
    delete $arr{flag};
    writeRecords();
}


print "<table><tr><td valign=\"top\" align=\"center\">\n";
print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"flag\" value=\"1\">\n";

print "<table cellpadding=\"8\"><tr><th>". $lex{'Category Name'}. "</th></tr>\n";
print "<tr><td><input type=\"text\" name=\"cat1\" size=\"40\"></td></tr>
<tr><td><input type=\"text\" name=\"cat2\" size=\"40\"></td></tr>
<tr><td><input type=\"text\" name=\"cat3\" size=\"40\"></td></tr>
<tr><td><input type=\"text\" name=\"cat4\" size=\"40\"></td></tr>
<tr><td><input type=\"text\" name=\"cat5\" size=\"40\"></td></tr>
<tr><td><input type=\"text\" name=\"cat6\" size=\"40\"></td></tr>
</table>\n";

print "<p><input type=\"submit\" value=\"". $lex{'Save Categories'};
print "\"></p></form></td></tr></table></center></body></html>\n";



#---------------
sub writeRecords {
#---------------

    my $dsn = "DBI:mysql:$dbase";
    my $dbh = DBI->connect($dsn,$user,$password);

    for my $i (1..6) {
	my $category = "cat$i";
	# print"Category: $arr{$category}";

	if ( $arr{$category} ) { # We have a category entry

	    my $sth = $dbh->prepare("insert into catassess ( category ) values ( ? )");
	    $sth->execute( $arr{$category} );
	    if ( $DBI::errstr ) { print $DBI::errstr; die $DBI::errstr; }

	} # End of If for course Entry

    } # End of Counted Loop (6)


    if (not $DBI::errstr ) {
	print "<h3>". $lex{'Your record(s) are stored'}. ".</h3></p>";
    } else {
	print "<h3>". $lex{'There was an error storing your data'}. q{ };
	print $lex{Contact}. " $adminname <a href=\"mailto:$adminemail\">$adminemail</a>\n";
	print $lex{Error}. " $DBI::errstr</h3></p>\n";
    }

    print "<p>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
    print "</p></center></body></html>\n";

    exit;
}
