#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Admin' => 'Admin',
	   'Error' => 'Error',
	   'View/Delete' => 'View/Delete',
	   'Assessment Categories' => 'Assessment Categories',
	   'Category' => 'Category',
	   'Power Delete' => 'Power Delete',
	   'Record deleted' => 'Record deleted',
	   'Record Deletion Failed' => 'Record Deletion Failed',
	   'Contact' => 'Contact',

	   );

my $self = 'ascatdeled.pl';

use DBI;
use CGI;

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;

# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:mysql:$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Page Header
print "$doctype\n<html><head><title>";
print $lex{'View/Delete'}. q{ }. $lex{'Assessment Categories'};
print "</title>\n";

print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">\n";
print "</head><body>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]<center>\n";
print "<h1>". $lex{'View/Delete'}. q{ }. $lex{'Assessment Categories'}. "</h1>\n";

if ( $arr{id} ) {
    deleteRecord();
}


$sth = $dbh->prepare("select * from catassess order by category");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}


print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"1\">\n";
print "<tr><th>". $lex{Category}. '</th><th>'. $lex{'Power Delete'}. "</th></tr>\n";

while ( my ($id, $category) = $sth->fetchrow ) {
    print "<tr><td><b>$category</b></td>\n<td>";
    print "<form action=\"$self\" method=\"post\">\n";
    print "<input type=\"hidden\" name=\"id\" value=\"$id\">\n";
    print "<input type=\"submit\" value=\"". $lex{'Power Delete'}. "\">\n";
    print "</form></td></tr>";
}
print "</table></body></html>\n";


#---------------
sub deleteRecord {
#---------------

    #foreach my $key ( keys %arr ) { print "K:$key V:$arr{$key}<br>\n"; }

    my $sth = $dbh->prepare("delete from catassess where id = ?");
    $sth->execute( $arr{id} );

    if ( $DBI::errstr ) {
	print $lex{'Record Deletion Failed'}. ". ";
	print $lex{Contact}. " $adminname<br>\n";
	print "$DBI::errstr;<br>\n";
    } else {
	print "<h2>". $lex{'Record deleted'}. "</h2>\n";
    }
    print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> |\n";

    print " <a href=\"$self\">";
    print $lex{'View/Delete'}. q{ }. $lex{'Assessment Categories'};
    print "</a> ]\n";

    print "</center></body></html>\n";

    exit;

}

