#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Admin' => 'Admin',
	   'Error' => 'Error',
	   'Multi Edit/Delete Objectives' => 'Multi Edit/Delete Objectives',
	   'Category' => 'Category',
	   'Recategorize' => 'Recategorize',
	   'Edit/Delete/Reorder' => 'Edit/Delete/Reorder'
	   );

use DBI;
use CGI;

my $q = CGI->new;
print $q->header; 
my %arr = $q->Vars;

# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);

# Print Page Header
print "$doctype\n<html><head><title>". $lex{'Multi Edit/Delete Objectives'}. "</title>\n";
print "<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">\n";
print "</head><body><a name=\"top\"></a>[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<center><h1>". $lex{'Multi Edit/Delete Objectives'}. "</h1>\n";

#print "<p>". $lex{'Click on Name to Edit'}. "</p>\n";

$sth = $dbh->prepare("select distinct catnum, category from subject order by catnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }

print "<table border=\"1\" cellspacing=\"0\" cellpadding=\"3\">\n";
print "<tr><th>". $lex{Recategorize}. "</th><th>". $lex{Category}. "</th></tr>\n";

while ( my ( $catnum, $category ) = $sth->fetchrow ) {
    print "<tr><td>";
    print "<form action=\"subrecat.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"cat\" value=\"$catnum\">\n";
    print "<input type=\"submit\" value=\"". $lex{Recategorize}. "\"></form>\n";

    print "<form action=\"submuled.pl\" method=\"post\" style=\"display:inline;\">\n";
    print "<input type=\"hidden\" name=\"cat\" value=\"$catnum\">\n";
    print "<input type=\"submit\" value=\"". $lex{'Edit/Delete/Reorder'}. "\"></form>\n";

    print "</td>\n<td><b>$category</b> ( $catnum )</td></tr>\n";

}
print "</table></center></body></html>\n";
