#!/usr/bin/perl
#  Copyright 2001-2008 Leslie Richardson

#  This file is part of Open Admin for Schools.

#  Open Admin for Schools is free software; you can redistribute it 
#  and/or modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2 of 
#  the License, or (at your option) any later version.

my %lex = ('Edit Term' => 'Edit Term',
	   'Main' => 'Main',
	   'Cannot open the term file' => 'Cannot open the term file',
	   'Term Updated' => 'Term Updated',
	   'Term' => 'Term',
	   'Update Term' => 'Update Term',

	   );


use CGI;

my $self = 'termed.pl';

my $q = new CGI;
print $q->header; 
my %arr = $q->Vars;

eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


# Print start of page
print "$doctype\n<html><head><title>". $lex{'Edit Term'}. "</title>
<link rel=\"stylesheet\" href=\"$iepcss\" type=\"text/css\">
$chartype\n</head><body style=\"margin:2em 4em;border:1px solid gray;\">\n";
print "[ <a href=\"$adminpage\">". $lex{Admin}. "</a> ]\n";
print "<h1>". $lex{'Edit Term'}. "</h1>\n";

# Write updates
if ($arr{flag}){
    updateTerms();
}

# Open term file and get value;
open(TERM, "term") || die $lex{'Cannot open the term file'};
my $term = <TERM>;

print "<form action=\"$self\" method=\"post\">\n";
print "<input type=\"hidden\" name=\"flag\" value=\"1\">\n";
print "<table cellpadding=\"3\" cellspacing=\"0\" border=\"0\">\n";

print "<tr><td align=\"right\">". $lex{Term}. "</td>\n";
print "<td><input type=\"text\" name=\"term\" size=\"6\" ";
print "value=\"$term\"></td></tr>\n";

# Print Ending Submit.
print "<tr><td colspan=\"2\" align=\"center\">";
print "<input type=\"submit\" value=\"". $lex{'Update Term'}. "\"></td></tr>\n";
print "</table></form></body></html>\n";


#--------------
sub updateTerms {
#--------------

    open(TERM, ">term") || die $lex{'Cannot open the term file'};
    print TERM "$arr{term}\n"; # write main term value.
    close TERM;
    print "<b>". $lex{'Term Updated'}. ".</b>\n";
    print "</body></html>\n";

    exit;

}

