#!/usr/bin/perl

use DBI;


my $path = @ARGV[0];
if ( not $path ) {
    print "Missing Path!\n";
    exit;
}


eval require "$path/etc/admin.conf";
if ( $@ ) {
    print $lex{Error}. ": $@<br>\n";
    die $lex{Error}. ": $@\n";
}


my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;


my $sth = $dbh->prepare("select * from student order by lastname, firstname");
$sth->execute;
if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}

my $sth1 = $dbh->prepare("update student set par1_firstname = ?, par1_lastname = ? where studnum = ?");
my $sth2 = $dbh->prepare("update student set par2_firstname = ?, par2_lastname = ? where studnum = ?");

while ( my $sref = $sth->fetchrow_hashref ){

    my $studnum = $sref->{studnum};
    my $name1 = $sref->{name1};
    if (not $name1 ) { next; }
    $name1 =~ s/^\s+//;
    $name1 =~ s/\s+$//;
    my @nameval = split(/\s/, $name1);
    my $firstname = shift @nameval;
    my $lastname = join(' ', @nameval);
    

    if ( not $sref->{par1_lastname} ) {
	print "$firstname - $lastname [$name1]\n";
	$sth1->execute($firstname, $lastname, $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}
    }


    my $name2 = $sref->{name2};
    if (not $name2 ) { next; }
    $name2 =~ s/^\s+//;
    $name2 =~ s/\s+$//;
    @nameval = ();
    @nameval = split(/\s/, $name2);
    my $firstname = shift @nameval;
    my $lastname = join(' ', @nameval);

    if ( not $sref->{par21_lastname} ) {    
	print "2. $firstname - $lastname [$name2]\n";
	$sth2->execute($firstname, $lastname, $studnum );
	if ($DBI::errstr){ print $DBI::errstr; die $DBI::errstr;}
    }

}

