#!/usr/bin/perl
#  Copyright 2001-2016 Leslie Richardson

use DBI;
use CGI;


# Read config variables
eval require "ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);


# Check for duplicate idnums, missing category
my %cat;
$sth = $dbh->prepare("select id, category, catnum, idnum from subject order by catnum, idnum");
$sth->execute;
if ($DBI::errstr) { print $DBI::errstr; die $DBI::errstr; }
while ( my ($id, $category,$catnum, $idnum ) = $sth->fetchrow ){
    if ( not $category ) {
	print "Missing category name for CATNUM:$catnum  IDNUM:$idnum ID:$id\n";
    }
    
    if ( $cat{$category}{$idnum} ) {
	print "Duplicate IDNUM for CATNUM:$catnum IDNUM:$idnum ID:$id\n";
    }
    $cat{$category}{$idnum} = 1;
}

print "Done!\n";
