#!/usr/bin/perl
#  Copyright 2001-2017 Leslie Richardson

#  This file is part of Open Admin for Schools.


use DBI;
use CGI;
use Text::CSV_XS;


eval require "../ppp.conf";
if ( $@ ) {
    print $lex{Error}. " $@<br>\n";
    die $lex{Error}. " $@\n";
}


my $q = new CGI;
print $q->header( -charset, $charset ); 
my %arr = $q->Vars;

my $dsn = "DBI:$dbtype:dbname=$dbase";
my $dbh = DBI->connect($dsn,$user,$password);
$dbh->{mysql_enable_utf8} = 1;

my $csv = Text::CSV_XS->new( {binary => 1} );


# Open csv file for reading
open (FH,"<", 'impacts.csv');


while ( my $line = <FH> ) {
	#print "LINE: $line<br>\n";

    if ( $csv->parse($line) ) {
	my @fields;
	@fields = $csv->fields;
#	foreach my $fld ( @fields ) {
#	    $fld = $dbh->quote( $fld );
#	}
	
	my $sth = $dbh->prepare("insert into impact_mst (impact, description,val) values(?,?,?)");
	$sth->execute( @fields );
	if ( $DBI::errstr ){ print $DBI::errstr; die $DBI::errstr; }
    }
} # end of this line read.

close FH;
